Skip to main content
GET
/
exchanges
/
multi
/
{multiId}
Get multi exchange status
curl --request GET \
  --url https://api-partner.houdiniswap.com/v2/exchanges/multi/{multiId} \
  --header 'Authorization: <api-key>'
{
  "multiId": "<string>",
  "orders": [
    {
      "swapName": "<string>",
      "houdiniId": "<string>",
      "created": "2023-11-07T05:31:56Z",
      "receiverAddress": "<string>",
      "anonymous": true,
      "expires": "2023-11-07T05:31:56Z",
      "inAmount": 123,
      "inSymbol": "<string>",
      "outAmount": 123,
      "outSymbol": "<string>",
      "receiverTag": "<string>",
      "notified": true,
      "eta": 123,
      "inAmountUsd": 123,
      "outAmountUsd": 123,
      "multiId": "<string>",
      "inCreated": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "isDex": true,
      "orderFinishedReceived": "2023-11-07T05:31:56Z",
      "actionRequired": true,
      "outToken": {
        "icon": "<string>",
        "id": "<string>",
        "chain": "<string>",
        "created": "2023-11-07T05:31:56Z",
        "chainData": {
          "icon": "<string>",
          "addressValidation": "<string>",
          "tokenAddressValidation": "<string>",
          "id": "<string>",
          "created": "2023-11-07T05:31:56Z",
          "name": "<string>",
          "shortName": "<string>",
          "explorerUrl": "<string>",
          "addressUrl": "<string>",
          "kind": "<string>",
          "enabled": true,
          "shortNameV1": "<string>",
          "modified": "2023-11-07T05:31:56Z",
          "memoNeeded": true,
          "hashUrl": "<string>",
          "priority": 123,
          "chainId": 123
        },
        "address": "<string>",
        "decimals": 0,
        "symbol": "",
        "name": "",
        "modified": "2023-11-07T05:31:56Z",
        "description": "<string>",
        "mainnet": true,
        "enabled": true,
        "unverified": true,
        "hasDex": true,
        "hasCex": true,
        "hasSelfPrivate": true,
        "cexTokenId": "",
        "rank": 123,
        "cgId": "<string>",
        "marketCapChange24h": 123,
        "circulatingSupply": 123,
        "price": 123,
        "marketCap": 123,
        "volume": 123,
        "fdv": 123,
        "change": 123,
        "priority": 123,
        "warningMessage": "<string>",
        "minMax": {
          "anon": [
            123
          ],
          "cex": [
            123
          ],
          "dex": [
            123
          ]
        }
      },
      "inToken": {
        "icon": "<string>",
        "id": "<string>",
        "chain": "<string>",
        "created": "2023-11-07T05:31:56Z",
        "chainData": {
          "icon": "<string>",
          "addressValidation": "<string>",
          "tokenAddressValidation": "<string>",
          "id": "<string>",
          "created": "2023-11-07T05:31:56Z",
          "name": "<string>",
          "shortName": "<string>",
          "explorerUrl": "<string>",
          "addressUrl": "<string>",
          "kind": "<string>",
          "enabled": true,
          "shortNameV1": "<string>",
          "modified": "2023-11-07T05:31:56Z",
          "memoNeeded": true,
          "hashUrl": "<string>",
          "priority": 123,
          "chainId": 123
        },
        "address": "<string>",
        "decimals": 0,
        "symbol": "",
        "name": "",
        "modified": "2023-11-07T05:31:56Z",
        "description": "<string>",
        "mainnet": true,
        "enabled": true,
        "unverified": true,
        "hasDex": true,
        "hasCex": true,
        "hasSelfPrivate": true,
        "cexTokenId": "",
        "rank": 123,
        "cgId": "<string>",
        "marketCapChange24h": 123,
        "circulatingSupply": 123,
        "price": 123,
        "marketCap": 123,
        "volume": 123,
        "fdv": 123,
        "change": 123,
        "priority": 123,
        "warningMessage": "<string>",
        "minMax": {
          "anon": [
            123
          ],
          "cex": [
            123
          ],
          "dex": [
            123
          ]
        }
      },
      "outTransactionOutHash": "<string>",
      "fixed": true,
      "refundAddress": "<string>",
      "modified": "2023-11-07T05:31:56Z",
      "nonRefundable": true,
      "metadata": "<unknown>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.houdiniswap.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

multiId
string
required

The multi exchange group ID

Maximum string length: 64

Response

Success

Response for GET /exchanges/multi/{multiId} — all orders that made it to the DB

multiId
string
required
orders
object[]
required